﻿Imports MediaCy.Controls.Common.Vb

Public Module Module1
    'Add logo to the active image and show it in a new workspace
    Public Sub AddLogoToActiveImageDuplicate
        Dim im As McImage=ThisApplication.ActiveImage
        AddLogoToImage(im,False)
    End Sub

    'Add logo to the active image and overwrite the existing image
    Public Sub AddLogoToActiveImageOverwrite()
        Dim im As McImage=ThisApplication.ActiveImage
        AddLogoToImage(im,True)
    End Sub


    Private Sub AddLogoToImage(im As McImage, bOverwrite As Boolean)
        If im Is Nothing Then Exit Sub'no image
        If bOverwrite Then
            'reset LUT as BitmapFromMcImage uses active LUT
            im.LookupTables.Reset
        End If
        'define logo file name
        Dim logoName As String="D:\Logo.png"
        'define logo size
        Dim logoSize As New System.Drawing.Size(128,128)
        Dim bmLogo As New System.Drawing.Bitmap(logoName)
        Dim imbm As System.Drawing.Bitmap=MediaCy.Controls.Common.Vb.McImageUtils.BitmapFromMcImage(im)
        Dim gr As System.Drawing.Graphics= System.Drawing.Graphics.FromImage(imbm)
        gr.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighQuality
        gr.InterpolationMode = System.Drawing.Drawing2D.InterpolationMode.HighQualityBicubic
        'draw logo to the bottom left corner with logoSize
        gr.DrawImage(bmLogo,0,imbm.Height-logoSize.Height,logoSize.Width,logoSize.Height)
        gr.Dispose()
        Dim im2 As McImage=MediaCy.Controls.Common.Vb.McImageUtils.McImageFromBitmap(imbm)
        If bOverwrite Then
            'copy new image to the original
            im.Op.Copy(im2)'clear
            'im.Op.Add(im2)'add
        Else
            'show the new image
            im2.Name=im.Name & "_Logo"
            im2.Visible=True
        End If
    End Sub

End Module
